/*
 * gtkpasman
 * Copyright (C) 2003 Cyril Bellot
 *
 * config.h
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __CONFIG_H__
#define __CONFIG_H__

#define GTKPASMAN_CONF_FILE g_strdup_printf("%s/%s",getenv("HOME"),".gtkpasmanrc")
#define DEFAULT_GPASSMAN_FILE g_strdup_printf("%s/%s",getenv("HOME"),".gpasman4")
#define DEFAULT_SSHCMD "exec xterm -e ssh -l %u %h &"
#define DEFAULT_FTPCMD "exec xterm -e ncftp -u %u %h &"
#define DEFAULT_TELNETCMD "exec xterm -e telnet %h &"
#define DEFAULT_EYEVISIBLE 0
#define DEFAULT_LISTVISIBLE 0
#define DEFAULT_REMEMBERPOS 0
#define DEFAULT_ZOOMSIZE 70

extern char *passwdfile;
extern char *sshcmd;
extern char *ftpcmd;
extern char *telnetcmd;

extern char *globalpasswd;
extern int decrypted_passwds;

extern int eyevisible, listvisible, rememberpos;

extern int zoomsize;
extern int xe, ye;
extern int xl, yl;

#endif
