/*
 * gtkpasman
 * Copyright (C) 2003 Cyril Bellot
 *
 * interface.h
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __INTERFACE_H__
#define __INTERFACE_H__

void add_to_host_menu (gchar * customer,
		       gchar * group,
		       gchar * host,
		       gchar * service,
		       gchar * serviceplus, gchar * user, gchar ** data);
void add_to_host_menu_sshroot (gchar * customer,
			       gchar * group, gchar * host, gchar ** data);

void update_positions (int getfromscreen);

GtkWidget *create_gtkpasman_list (void);
GtkWidget *create_gtkpasman_eye (void);
void create_gtkpasman_askpassword (void);

void update_display (void);

#endif
